Как обновиться до последней версии Emacs?

15

У меня есть Emacs 24.3.1, и я хочу перейти на последнюю версию Emacs 24.4.x. Вся документация, которую я посетил, предполагает создание из архива или источника. Есть ли причина, почему нет вариантов менеджера пакетов для обновления Emacs? Если нет, как мне обновить Emacs с помощью диспетчера пакетов?

Вот некоторая информация о моем Emacs, которая, как мне кажется, по умолчанию используется для Ubuntu 14.04:

emacs:
  Installed: 45.0ubuntu1
  Candidate: 45.0ubuntu1
  Version table:
 *** 45.0ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ trusty/main amd64 Packages
        100 /var/lib/dpkg/status
    
задан modulitos 20.03.2015 в 06:24
источник

2 ответа

4

Emacs 24.4 все еще относительно новый. Ubuntu считается стабильным дистрибутивом, и по этой причине программное обеспечение иногда отстает. Если Emacs 24.4 не упакован, вам необходимо его самостоятельно создать.

Подробные инструкции по установке GNU Emacs 24.4 на Ubuntu содержатся в этом руководстве: Ссылка

    
ответ дан Keefer Rourke 20.03.2015 в 06:33
источник
27

Вы можете установить ночные пакеты из ubuntu-elisp ppa .

sudo add-apt-repository ppa:ubuntu-elisp/ppa
sudo apt-get update
sudo apt-get install emacs-snapshot
    
ответ дан hos 05.11.2015 в 10:57